Package ru.bitel.bgbilling.modules.drweb.server.bean.api

# Class AVDesc6

java.lang.Object
ru.bitel.bgbilling.modules.drweb.server.bean.api.AVDesc6

All Implemented Interfaces:
  `AVDescAPI`

    public class AVDesc6
    extends java.lang.Object
    implements AVDescAPI

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AVDesc6​(java.sql.Connection con, ParameterMap moduleSetup, int moduleId, AgentAVDManager agentManager)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `blockOnAVD​(AgentAVD agent, java.util.Date dateFrom, java.util.Date dateTo)` |
  `void` | `changeTariffOnAVD​(AgentAVD agent, java.lang.String groupTitle)` |
  `AgentAVD` | `getAgentFromAVD​(int contractId, java.lang.String groupTitle)` |
  `void` | `prolongAgentOnAVD​(AgentAVD agent, java.util.Date date)` |
  `void` | `sinchronizeAgent​(int contractId)` | Синхронизирует агенты с сервером для договора ccontractIdid.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AVDesc6

    public AVDesc6​(java.sql.Connection con, ParameterMap moduleSetup, int moduleId, AgentAVDManager agentManager)

- ## Method Details

  - ### getAgentFromAVD

    public AgentAVD getAgentFromAVD​(int contractId, java.lang.String groupTitle) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getAgentFromAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sinchronizeAgent

    public void sinchronizeAgent​(int contractId)
    Синхронизирует агенты с сервером для договора ccontractIdid. Если contractId -1 то для всех договоров
    Specified by:
      `sinchronizeAgent` in interface `AVDescAPI`
    Parameters:
      `contractId` -

  - ### prolongAgentOnAVD

    public void prolongAgentOnAVD​(AgentAVD agent, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `prolongAgentOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### blockOnAVD

    public void blockOnAVD​(AgentAVD agent, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `blockOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### changeTariffOnAVD

    public void changeTariffOnAVD​(AgentAVD agent, java.lang.String groupTitle) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `changeTariffOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`